[Toybox] [PATCH] fix "make clean && make"

enh enh at google.com
Fri Dec 12 16:44:00 PST 2014


$ make clean
rm -f kconfig/lex.zconf.c kconfig/zconf.hash.c kconfig/zconf.tab.c
kconfig/conf kconfig/mconf
rm -rf toybox toybox_unstripped generated change .singleconfig*
$ make
scripts/genconfig.sh
scripts/make.sh
Generate headers from toys/*/*.c...
generated/newtoys.h Library probe.....
Make generated/config.h from .config.
generated/flags.h generated/globals.h generated/help.h
/tmp/ccqgZKkn.o: In function `xpopen_both':
xwrap.c:(.text+0x640): undefined reference to `xfork'
collect2: error: ld returned 1 exit status
make: *** [toybox] Error 1


diff --git a/scripts/make.sh b/scripts/make.sh
index 4430e3b..1aba35e 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -209,7 +209,7 @@ echo "generated/help.h"
 if [ generated/config2help -ot scripts/config2help.c ]
 then
   do_loudly $HOSTCC scripts/config2help.c -I . lib/xwrap.c lib/llist.c \
-    lib/lib.c -o generated/config2help || exit 1
+    lib/portability.c lib/lib.c -o generated/config2help || exit 1
 fi
 generated/config2help Config.in $KCONFIG_CONFIG > generated/help.h || exit 1

 1418431440.0


More information about the Toybox mailing list